package cn.reghao.tnb.content.app.data.model.vo;

import cn.reghao.tnb.content.app.data.model.po.ImagePost;

import java.time.LocalDateTime;

/**
 * @author reghao
 * @date 2025-03-29 22:52:55
 */
public class AlbumCard {
    private Long albumId;
    private String albumName;
    private Integer channelId;
    private String coverUrl;
    private Integer total;
    private LocalDateTime createdAt;
    private Integer scope;
    private String userId;

    public AlbumCard(ImagePost imagePost, String userIdStr) {
        this.albumId = imagePost.getAlbumId();
        this.albumName = imagePost.getAlbumName();
        this.channelId = imagePost.getChannelId();
        this.coverUrl = imagePost.getCoverUrl();
        this.total = imagePost.getTotal();
        this.createdAt = imagePost.getCreatedAt();
        this.scope = imagePost.getScope();
        this.userId = userIdStr;
    }
}
